de.katho.kBorrow

## Class KLogger

- java.lang.Object
- - de.katho.kBorrow.KLogger

    public class KLogger
    extends java.lang.Object

Kümmert sich um das Logging von kBorrow.

### Field Summary

Fields
`private java.lang.String` `fDir` Das Verzeichnis, in dem das Log angelegt wird
`private java.lang.String` `fName` Der Dateiname des Logs
`private static java.util.logging.Logger` `logger` Das Logger-Objekt

### Constructor Summary

Constructors
`private` `KLogger()` Erzeugt eine Instanz des KLoggers

### Method Summary

All Methods Static Methods Concrete Methods
`private static java.util.logging.Logger` `getLogger()` Gibt eine kLogger-Instanz zurück.
`static void` `log(java.util.logging.Level pLevel, java.lang.String pMsg, java.lang.Exception e)` Loggt eine Nachricht in den kLogger und gibt eine Fehlermeldung auf der Konsole aus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    private static java.util.logging.Logger logger

Das Logger-Objekt

#### fDir

    private final java.lang.String fDir

Das Verzeichnis, in dem das Log angelegt wird

#### fName

    private final java.lang.String fName

Der Dateiname des Logs

See Also:
  Constant Field Values

### Constructor Detail

#### KLogger

    private KLogger()
             throws java.io.IOException

Erzeugt eine Instanz des KLoggers

Throws:
  `java.io.IOException` - wenn das Logfile nicht erstellt werden kann.

### Method Detail

#### getLogger

    private static java.util.logging.Logger getLogger()

Gibt eine kLogger-Instanz zurück. Wenn noch keine Instanz existiert, erzeuge eine neue.

Returns:
  Instanz des kLoggers.

#### log

    public static void log(java.util.logging.Level pLevel,
                           java.lang.String pMsg,
                           java.lang.Exception e)

Loggt eine Nachricht in den kLogger und gibt eine Fehlermeldung auf der Konsole aus.

Parameters:
  `pLevel` - Schwere der Meldung.
  `pMsg` - Fehlermeldung
  `e` - Exception, um Stacktrace in das Log schreiben zu können.